# Installation

## Download SDK

Download [**face-recognition\_engine.zip \[191.1M\]**](https://www.dropbox.com/scl/fi/7mhbk7wk5xr3mk8xb4l49/face-recognition_engine.zip?rlkey=phjcuh06fdx3fpcnstt1oimgj\&st=87g92wgv\&dl=0)

Unpack the `face-recognition_engine.zip` archive into the desired directory.

## Directory Structure

The SDK directory contains the following directories and files:

<table data-header-hidden><thead><tr><th width="152"></th><th width="227"></th><th></th></tr></thead><tbody><tr><td><strong>dependency\</strong></td><td><strong>openvino\</strong></td><td>openvino so files</td></tr><tr><td></td><td>libimutils.so</td><td>libimutils so file for Ubuntu20.04</td></tr><tr><td></td><td>libimutils.so_for_ubuntu22</td><td>libimutils so file for Ubuntu22.04</td></tr><tr><td><strong>engine\</strong></td><td><strong>bin\</strong></td><td>SDK binary files</td></tr><tr><td></td><td>header.py</td><td>Header file</td></tr><tr><td></td><td>librecognition_v6.so</td><td>SDK so file</td></tr></tbody></table>

## Install dependencies

* Install packages and requirements:

{% code overflow="wrap" %}

```sh
sudo apt-get update -y && sudo apt-get install -y python3 python3-pip libcurl4-openssl-dev libssl-dev libtbb-dev
```

{% endcode %}

* Copy dependency libraries:

{% code overflow="wrap" %}

```sh
sudo cp -f dependency/libimutils.so /usr/lib
sudo cp -rf dependency/openvino /usr/lib
```

{% endcode %}

{% hint style="warning" %}
If the Ubuntu version is 22.04:

{% code overflow="wrap" %}

```sh
sudo cp -f dependency/libimutils.so_for_ubuntu22 /usr/lib/libimutils.so
```

{% endcode %}
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.recognito.vision/face-recognition-sdk/integration-guide/linux/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
